## memcpy

#### OS/161 Reference Manual

### Name

memcpy - copy region of memory

### Library

Standard C Library (libc, -lc)

### Synopsis

`#include <string.h>`
`void *`
`memcpy(void *`dest`, const void *`src`, size_t` len`);`

### Description

The block of memory beginning at src, of length len, is copied to dest. dest must point to a region large enough to hold it.

`memcpy` is not guaranteed to operate correctly if src and dest overlap. Use memmove on overlapping regions.

### Return Values

`memcpy` returns dest.